Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.script
Class ScriptDef.Attribute

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.script.ScriptDef.Attribute

Enclosing class:
  ScriptDef

public static class ScriptDef.Attribute
extends java.lang.Object

Class representing an attribute definition

Constructor Summary
`ScriptDef.Attribute()`

Method Summary
`void` | `setName(java.lang.String name)` Set the attribute name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptDef.Attribute

    public ScriptDef.Attribute()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the attribute name

  Parameters:
    `name` - the attribute name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.